### Home Classes Methods

### In Files

- lib/plugins/yhara.rb

### Parent

Object

### Methods

- ::new
- #correct?
- #display
- #interrogative?
- #say
- #text

### Files

- ChangeLog
- README.rdoc

### Class/Module Index

Quicksearch

- Termtter
- Termtter::API
- Termtter::ActiveRubytter
- Termtter::Client
- Termtter::Client::DirectMessage
- Termtter::Client::Jakigan
- Termtter::Client::SearchEvent
- Termtter::Client::UserSearchEvent
- Termtter::Command
- Termtter::CommandCanceled
- Termtter::CommandLine
- Termtter::CommandNotFound
- Termtter::Config
- Termtter::ConfigSetup
- Termtter::Crypt
- Termtter::English
- Termtter::Event
- Termtter::HTTPpool
- Termtter::Hook
- Termtter::HookCanceled
- Termtter::Hookable
- Termtter::JSONError
- Termtter::MemoryCache
- Termtter::MemoryCache::MemCacheMock
- Termtter::OptParser
- Termtter::Plugin
- Termtter::Plugin::Screen
- Termtter::Plugins
- Termtter::Plugins::Haml
- Termtter::Plugins::ListSwitch
- Termtter::RubytterProxy
- Termtter::RubytterProxy::FrequentAccessError
- Termtter::RubytterProxy::LimitManager
- Termtter::Status
- Termtter::StdOut
- Termtter::Storage
- Termtter::Storage::SQLite3
- Termtter::Storage::Status
- Termtter::Task
- Termtter::TaskManager
- Termtter::TypableIdGenerator
- Termtter::UserStreamReceiver
- Yharian
- Yharian::Alex
- Yharian::Jenifer
- Yharian::Remark
- Yharian::Speaker
- Yharian::Vicki
- Yharian::Yhara
- HatenaKeywordHaiku
- HatenaKeywordHaiku::Word
- OAuth
- OAuth::AccessToken
- Readline
- Readline::LIBREADLINE
- AAMaker
- Array
- BrowserNotFound
- Growl
- IRB
- Object
- Status
- String
- Symbol
- TermColor
- TermtterIrcGateway
- User

No matching classes.

# Yharian::Remark

### Attributes

eos[R]
pronounciation[R]
speaker[R]
words[R]

### Public Class Methods

new(speaker, words, eos, options = {}) click to toggle source

    # File lib/plugins/yhara.rb, line 80
    def initialize(speaker, words, eos, options = {})
      @speaker = speaker
      @words = words
      @eos = eos # end of text : "?" or "." or "!"
      @pronounciation = options[:pronounciation] || text
    end

### Public Instance Methods

correct?(s) click to toggle source

    # File lib/plugins/yhara.rb, line 103
    def correct?(s)
      s.gsub(/[^yhar]/,'') == @words.gsub(/[^yhar]/,'')
    end

display() click to toggle source

    # File lib/plugins/yhara.rb, line 95
    def display
      puts "#{@speaker.name}: #{text}"
    end

interrogative?() click to toggle source

    # File lib/plugins/yhara.rb, line 91
    def interrogative?
      @eos == '?'
    end

say(context = nil) click to toggle source

    # File lib/plugins/yhara.rb, line 99
    def say(context = nil)
      Kernel.say pronounciation, :voice => @speaker.voice(context)
    end

text() click to toggle source

    # File lib/plugins/yhara.rb, line 87
    def text
      @words + @eos
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.